Index: bf_forms/source/component/forms_imgprod.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_forms/source/component/forms_imgprod.cxx,v
retrieving revision 1.3
retrieving revision 1.3.74.1
diff -u -r1.3 -r1.3.74.1
--- bf_forms/source/component/forms_imgprod.cxx	7 Sep 2005 15:50:06 -0000	1.3
+++ bf_forms/source/component/forms_imgprod.cxx	27 Apr 2006 15:56:43 -0000	1.3.74.1
@@ -70,8 +70,8 @@
 						ImgProdLockBytes( ::com::sun::star::uno::Reference< ::com::sun::star::io::XInputStream > & rStreamRef );
 	virtual				~ImgProdLockBytes();
 
-	virtual ErrCode		ReadAt( sal_uInt32 nPos, void* pBuffer, sal_uInt32 nCount, sal_uInt32* pRead ) const;
-	virtual ErrCode		WriteAt( sal_uInt32 nPos, const void* pBuffer, sal_uInt32 nCount, sal_uInt32* pWritten );
+	virtual ErrCode		ReadAt( sal_uInt32 nPos, void* pBuffer, sal_uInt32 nCount, sal_Size* pRead ) const;
+	virtual ErrCode		WriteAt( sal_uInt32 nPos, const void* pBuffer, sal_uInt32 nCount, sal_Size* pWritten );
 	virtual ErrCode		Flush() const;
 	virtual ErrCode		SetSize( sal_uInt32 nSize );
 	virtual ErrCode		Stat( SvLockBytesStat*, SvLockBytesStatFlag ) const;
@@ -119,7 +119,7 @@
 
 // ------------------------------------------------------------------------
 
-ErrCode ImgProdLockBytes::ReadAt( sal_uInt32 nPos, void* pBuffer, sal_uInt32 nCount, sal_uInt32* pRead ) const
+ErrCode ImgProdLockBytes::ReadAt( sal_uInt32 nPos, void* pBuffer, sal_uInt32 nCount, sal_Size* pRead ) const
 {
 	if( GetStream() )
 	{
@@ -150,7 +150,7 @@
 
 // ------------------------------------------------------------------------
 
-ErrCode ImgProdLockBytes::WriteAt( sal_uInt32 nPos, const void* pBuffer, sal_uInt32 nCount, sal_uInt32* pWritten )
+ErrCode ImgProdLockBytes::WriteAt( sal_uInt32 nPos, const void* pBuffer, sal_uInt32 nCount, sal_Size* pWritten )
 {
 	if( GetStream() )
 		return SvLockBytes::WriteAt( nPos, pBuffer, nCount, pWritten );
Index: bf_sc/source/core/data/sc_cell.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_cell.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_sc/source/core/data/sc_cell.cxx	7 Sep 2005 16:39:37 -0000	1.5
+++ bf_sc/source/core/data/sc_cell.cxx	27 Apr 2006 11:21:10 -0000	1.5.70.1
@@ -916,7 +916,7 @@
 /*N*/ //	rStream << (BYTE) 0x00;
 /*N*/ #endif
 /*N*/ 	if ( nFormatIndex )
-/*N*/ 		rStream << (BYTE) (0x10 | sizeof(UINT32)) << nFormatIndex;
+/*N*/ 		rStream << (BYTE) (0x10 | sizeof(UINT32)) << static_cast<sal_uInt32>(nFormatIndex);
 /*N*/ 	else
 /*N*/ 		rStream << (BYTE) 0x00;
 /*N*/ 	rStream << cFlags << (UINT16) nFormatType;
Index: bf_sc/source/core/data/sc_column3.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_column3.cxx,v
retrieving revision 1.6
retrieving revision 1.6.74.1
diff -u -r1.6 -r1.6.74.1
--- bf_sc/source/core/data/sc_column3.cxx	7 Sep 2005 16:40:58 -0000	1.6
+++ bf_sc/source/core/data/sc_column3.cxx	27 Apr 2006 11:22:41 -0000	1.6.74.1
@@ -1212,7 +1212,7 @@
 /*N*/ 		if (rString.Len() > 0)
 /*N*/ 		{
 /*N*/ 			double nVal;
-/*N*/ 			ULONG nIndex, nOldIndex;
+/*N*/ 			sal_uInt32 nIndex, nOldIndex;
 /*N*/ 			sal_Unicode cFirstChar;
 /*N*/ 			SvNumberFormatter* pFormatter = pDocument->GetFormatTable();
 /*N*/ 			SfxObjectShell* pDocSh = pDocument->GetDocumentShell();
Index: bf_sc/source/core/data/sc_conditio.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_conditio.cxx,v
retrieving revision 1.5
retrieving revision 1.5.74.1
diff -u -r1.5 -r1.5.74.1
--- bf_sc/source/core/data/sc_conditio.cxx	7 Sep 2005 16:41:15 -0000	1.5
+++ bf_sc/source/core/data/sc_conditio.cxx	27 Apr 2006 11:26:20 -0000	1.5.74.1
@@ -1181,7 +1181,7 @@
 
 //------------------------------------------------------------------------
 
-/*N*/ ScConditionalFormat::ScConditionalFormat(ULONG nNewKey, ScDocument* pDocument) :
+/*N*/ ScConditionalFormat::ScConditionalFormat(sal_uInt32 nNewKey, ScDocument* pDocument) :
 /*N*/ 	pDoc( pDocument ),
 /*N*/ 	pAreas( NULL ),
 /*N*/ 	nKey( nNewKey ),
@@ -1585,7 +1585,7 @@
 /*N*/ 	}
 /*N*/ }
 
-/*N*/ ScConditionalFormat* ScConditionalFormatList::GetFormat( ULONG nKey )
+/*N*/ ScConditionalFormat* ScConditionalFormatList::GetFormat( sal_uInt32 nKey )
 /*N*/ {
 /*N*/ 	//!	binaer suchen
 /*N*/ 
Index: bf_sc/source/core/data/sc_dociter.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_dociter.cxx,v
retrieving revision 1.6
retrieving revision 1.6.72.1
diff -u -r1.6 -r1.6.72.1
--- bf_sc/source/core/data/sc_dociter.cxx	7 Sep 2005 16:41:50 -0000	1.6
+++ bf_sc/source/core/data/sc_dociter.cxx	27 Apr 2006 11:31:33 -0000	1.6.72.1
@@ -508,7 +508,7 @@
 /*N*/  	for (i=0; (i<nCount) && (aParam.GetEntry(i).bDoQuery); i++)
 /*N*/  	{
 /*N*/  		ScQueryEntry& rEntry = aParam.GetEntry(i);
-/*N*/  		ULONG nIndex = 0;
+/*N*/  		sal_uInt32 nIndex = 0;
 /*N*/  		rEntry.bQueryByString =
 /*N*/  				!(pDoc->GetFormatTable()->IsNumberFormat(*rEntry.pStr, nIndex, rEntry.nVal));
 /*N*/  	}
@@ -794,7 +794,7 @@
 /*N*/ 		for (i=0; (i<MAXQUERY) && (aParam.GetEntry(i).bDoQuery); i++)
 /*N*/ 		{
 /*?*/ 			ScQueryEntry& rEntry = aParam.GetEntry(i);
-/*?*/ 			ULONG nIndex = 0;
+/*?*/ 			sal_uInt32 nIndex = 0;
 /*?*/ 			rEntry.bQueryByString =
 /*?*/ 					 !(pDoc->GetFormatTable()->IsNumberFormat(*rEntry.pStr,
 /*?*/ 															  nIndex, rEntry.nVal));
Index: bf_sc/source/core/data/sc_document.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_document.cxx,v
retrieving revision 1.9
retrieving revision 1.9.48.1
diff -u -r1.9 -r1.9.48.1
--- bf_sc/source/core/data/sc_document.cxx	14 Dec 2005 14:33:35 -0000	1.9
+++ bf_sc/source/core/data/sc_document.cxx	27 Apr 2006 13:17:44 -0000	1.9.48.1
@@ -2025,7 +2025,7 @@
 
 
 /*N*/ void ScDocument::GetNumberFormat( USHORT nCol, USHORT nRow, USHORT nTab,
-/*N*/ 								  ULONG& rFormat )
+/*N*/ 								  sal_uInt32& rFormat )
 /*N*/ {
 /*N*/ 	if (VALIDTAB(nTab))
 /*N*/ 		if (pTab[nTab])
Index: bf_sc/source/core/data/sc_dpshttab.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_dpshttab.cxx,v
retrieving revision 1.5
retrieving revision 1.5.74.1
diff -u -r1.5 -r1.5.74.1
--- bf_sc/source/core/data/sc_dpshttab.cxx	7 Sep 2005 16:46:45 -0000	1.5
+++ bf_sc/source/core/data/sc_dpshttab.cxx	27 Apr 2006 11:33:21 -0000	1.5.74.1
@@ -105,7 +105,7 @@
 /*M*/             }
 /*M*/             else
 /*M*/             {
-/*M*/ 		        ULONG nIndex = 0;
+/*M*/ 		        sal_uInt32 nIndex = 0;
 /*M*/ 		        rEntry.bQueryByString =
 /*M*/ 					        !(pD->GetFormatTable()->
 /*M*/ 						        IsNumberFormat(*rEntry.pStr, nIndex, rEntry.nVal));
Index: bf_sc/source/core/data/sc_table3.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_table3.cxx,v
retrieving revision 1.5
retrieving revision 1.5.74.1
diff -u -r1.5 -r1.5.74.1
--- bf_sc/source/core/data/sc_table3.cxx	7 Sep 2005 16:54:02 -0000	1.5
+++ bf_sc/source/core/data/sc_table3.cxx	27 Apr 2006 11:34:29 -0000	1.5.74.1
@@ -1050,7 +1050,7 @@
 /*N*/                         bOk = pTransliteration->isEqual( aCellStr, *rEntry.pStr );
 /*N*/ 					else
 /*N*/ 					{
-/*N*/                         ::com::sun::star::uno::Sequence< long > xOff;
+/*N*/                         ::com::sun::star::uno::Sequence< sal_Int32 > xOff;
 /*N*/                         String aCell( pTransliteration->transliterate(
 /*N*/                             aCellStr, ScGlobal::eLnge, 0, aCellStr.Len(),
 /*N*/                             &xOff ) );
Index: bf_sc/source/core/data/sc_validat.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/data/sc_validat.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sc/source/core/data/sc_validat.cxx	7 Sep 2005 16:55:35 -0000	1.5
+++ bf_sc/source/core/data/sc_validat.cxx	27 Apr 2006 11:36:46 -0000	1.5.72.1
@@ -558,7 +558,7 @@
 /*N*/ 	//!		sortierte Eintraege aus rList schneller einfuegen ???
 /*N*/ }
 
-/*N*/ ScValidationData* ScValidationDataList::GetData( ULONG nKey )
+/*N*/ ScValidationData* ScValidationDataList::GetData( sal_uInt32 nKey )
 /*N*/ {
 /*N*/ 	//!	binaer suchen
 /*N*/ 
Index: bf_sc/source/core/tool/sc_chartarr.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_chartarr.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_sc/source/core/tool/sc_chartarr.cxx	7 Sep 2005 17:04:56 -0000	1.5
+++ bf_sc/source/core/tool/sc_chartarr.cxx	27 Apr 2006 16:28:07 -0000	1.5.70.1
@@ -68,7 +68,7 @@
 /*N*/ 	rDest.SetYAxisTitle( rSource.GetYAxisTitle() );
 /*N*/ 	rDest.SetZAxisTitle( rSource.GetZAxisTitle() );
 /*N*/ 
-/*N*/ 	const long* pArr;
+/*N*/ 	const sal_Int32* pArr;
 /*N*/ 	if ( rSource.GetRowCount() == rDest.GetRowCount() &&
 /*N*/ 		 rSource.GetColCount() == rDest.GetColCount() )
 /*N*/ 	{
@@ -698,7 +698,7 @@
 /*?*/ 							nVal = ((ScValueCell*)pCell)->GetValue();
 /*?*/ 							if ( bCalcAsShown && nVal != 0.0 )
 /*?*/ 							{
-/*?*/ 								ULONG nFormat;
+/*?*/ 								sal_uInt32 nFormat;
 /*?*/ 								pDocument->GetNumberFormat( pCols[nCol],
 /*?*/ 									pRows[nRow], nTab1, nFormat );
 /*?*/ 								nVal = pDocument->RoundValueAsShown( nVal, nFormat );
Index: bf_sc/source/core/tool/sc_compiler.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_compiler.cxx,v
retrieving revision 1.8
retrieving revision 1.8.72.1
diff -u -r1.8 -r1.8.72.1
--- bf_sc/source/core/tool/sc_compiler.cxx	7 Sep 2005 17:06:44 -0000	1.8
+++ bf_sc/source/core/tool/sc_compiler.cxx	27 Apr 2006 16:28:08 -0000	1.8.72.1
@@ -877,7 +877,7 @@
 /*N*/ BOOL ScCompiler::IsValue( const String& rSym )
 /*N*/ {
 /*N*/ 	double fVal;
-/*N*/ 	ULONG nIndex = ( pSymbolTable == pSymbolTableEnglish ?
+/*N*/ 	sal_uInt32 nIndex = ( pSymbolTable == pSymbolTableEnglish ?
 /*N*/ 		pDoc->GetFormatTable()->GetStandardIndex( LANGUAGE_ENGLISH_US ) : 0 );
 /*N*/ //	ULONG nIndex = 0;
 /*N*/ ////	ULONG nIndex = pDoc->GetFormatTable()->GetStandardIndex(ScGlobal::eLnge);
Index: bf_sc/source/core/tool/sc_interpr1.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_interpr1.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sc/source/core/tool/sc_interpr1.cxx	7 Sep 2005 17:11:00 -0000	1.5
+++ bf_sc/source/core/tool/sc_interpr1.cxx	27 Apr 2006 16:28:08 -0000	1.5.72.1
@@ -1770,7 +1770,7 @@
 void ScInterpreter::ScValue()
 {
 	String aInputString = GetString();
-	ULONG nFIndex = 0;					// damit default Land/Spr.
+	sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 	double fVal;
 	if (pFormatter->IsNumberFormat(aInputString, nFIndex, fVal))
 		PushDouble(fVal);
@@ -2080,7 +2080,7 @@
 /*?*/ 				if( eFunc == ifCOUNT )
 /*?*/ 				{
 /*?*/ 					String aStr( PopString() );
-/*?*/ 					ULONG nFIndex = 0;					// damit default Land/Spr.
+/*?*/ 					sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 /*?*/ 					if ( bTextAsZero || pFormatter->IsNumberFormat(aStr, nFIndex, fVal))
 /*?*/ 						nCount++;
 /*?*/ 				}
@@ -3074,7 +3074,7 @@
  			else if( rString.Len() )
  			{
  				rParam.FillInExcelSyntax(rString,(USHORT) 0);
- 				ULONG nIndex = 0;
+ 				sal_uInt32 nIndex = 0;
  				rEntry.bQueryByString =
  					!(pFormatter->IsNumberFormat(
  						*rEntry.pStr, nIndex, rEntry.nVal));
@@ -3244,7 +3244,7 @@
  			else
  			{
  				rParam.FillInExcelSyntax(rString,(USHORT) 0);
- 				ULONG nIndex = 0;
+ 				sal_uInt32 nIndex = 0;
  				rEntry.bQueryByString =
  					!(pFormatter->IsNumberFormat(
  						*rEntry.pStr, nIndex, rEntry.nVal));
@@ -4346,7 +4346,7 @@
 						ScQueryEntry& rEntry = rParam.GetEntry(i);
 						if ( rEntry.bDoQuery )
 						{
-							ULONG nIndex = 0;
+							sal_uInt32 nIndex = 0;
 							rEntry.bQueryByString = !pFormatter->IsNumberFormat(
 								*rEntry.pStr, nIndex, rEntry.nVal );
 							if ( rEntry.bQueryByString && !rParam.bRegExp )
Index: bf_sc/source/core/tool/sc_interpr2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_interpr2.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_sc/source/core/tool/sc_interpr2.cxx	7 Sep 2005 17:11:19 -0000	1.5
+++ bf_sc/source/core/tool/sc_interpr2.cxx	27 Apr 2006 16:28:08 -0000	1.5.70.1
@@ -172,7 +172,7 @@
 void ScInterpreter::ScGetDateValue()
 {
 	String aInputString = GetString();
-	ULONG nFIndex = 0;					// damit default Land/Spr.
+	sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 	double fVal;
 	if (pFormatter->IsNumberFormat(aInputString, nFIndex, fVal))
 	{
@@ -361,7 +361,7 @@
 void ScInterpreter::ScGetTimeValue()
 {
 	String aInputString = GetString();
-	ULONG nFIndex = 0;					// damit default Land/Spr.
+	sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 	double fVal;
 	if (pFormatter->IsNumberFormat(aInputString, nFIndex, fVal))
 	{
Index: bf_sc/source/core/tool/sc_interpr4.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_interpr4.cxx,v
retrieving revision 1.6
retrieving revision 1.6.70.1
diff -u -r1.6 -r1.6.70.1
--- bf_sc/source/core/tool/sc_interpr4.cxx	7 Sep 2005 17:11:58 -0000	1.6
+++ bf_sc/source/core/tool/sc_interpr4.cxx	27 Apr 2006 16:28:08 -0000	1.6.70.1
@@ -1288,7 +1288,7 @@
 /*N*/ 		case svString:
 /*N*/ 		{
 /*N*/ 			String aStr(PopString());
-/*N*/ 			ULONG nFIndex = 0;					// damit default Land/Spr.
+/*N*/ 			sal_uInt32 nFIndex = 0;					// damit default Land/Spr.
 /*N*/ 			if(!pFormatter->IsNumberFormat( aStr, nFIndex, nVal ) )
 /*N*/ 			{
 /*N*/ 				SetError(errIllegalArgument);
Index: bf_sc/source/core/tool/sc_rechead.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/core/tool/sc_rechead.cxx,v
retrieving revision 1.4
retrieving revision 1.4.74.1
diff -u -r1.4 -r1.4.74.1
--- bf_sc/source/core/tool/sc_rechead.cxx	7 Sep 2005 17:16:09 -0000	1.4
+++ bf_sc/source/core/tool/sc_rechead.cxx	27 Apr 2006 16:28:08 -0000	1.4.74.1
@@ -54,7 +54,7 @@
 /*N*/ ScReadHeader::ScReadHeader(SvStream& rNewStream) :
 /*N*/ 	rStream( rNewStream )
 /*N*/ {
-/*N*/ 	ULONG nDataSize;
+/*N*/ 	sal_uInt32 nDataSize;
 /*N*/ 	rStream >> nDataSize;
 /*N*/ 	nDataEnd = rStream.Tell() + nDataSize;
 /*N*/ }
@@ -83,7 +83,7 @@
 
 // -----------------------------------------------------------------------
 
-/*N*/ ScWriteHeader::ScWriteHeader(SvStream& rNewStream, ULONG nDefault) :
+/*N*/ ScWriteHeader::ScWriteHeader(SvStream& rNewStream, sal_uInt32 nDefault) :
 /*N*/ 	rStream( rNewStream )
 /*N*/ {
 /*N*/ 	nDataSize = nDefault;
@@ -110,7 +110,7 @@
 /*N*/ ScMultipleReadHeader::ScMultipleReadHeader(SvStream& rNewStream) :
 /*N*/ 	rStream( rNewStream )
 /*N*/ {
-/*N*/ 	ULONG nDataSize;
+/*N*/ 	sal_uInt32 nDataSize;
 /*N*/ 	rStream >> nDataSize;
 /*N*/ 	ULONG nDataPos = rStream.Tell();
 /*N*/ 	nTotalEnd = nDataPos + nDataSize;
@@ -131,7 +131,7 @@
 /*N*/ 	}
 /*N*/ 	else
 /*N*/ 	{
-/*N*/ 		ULONG nSizeTableLen;
+/*N*/ 		sal_uInt32 nSizeTableLen;
 /*N*/ 		rStream >> nSizeTableLen;
 /*N*/ 		pBuf = new BYTE[nSizeTableLen];
 /*N*/ 		rStream.Read( pBuf, nSizeTableLen );
@@ -173,7 +173,7 @@
 /*N*/ void ScMultipleReadHeader::StartEntry()
 /*N*/ {
 /*N*/ 	ULONG nPos = rStream.Tell();
-/*N*/ 	ULONG nEntrySize;
+/*N*/ 	sal_uInt32 nEntrySize;
 /*N*/ 	(*pMemStream) >> nEntrySize;
 /*N*/ 
 /*N*/ 	nEntryEnd = nPos + nEntrySize;
@@ -192,7 +192,7 @@
 
 // -----------------------------------------------------------------------
 
-/*N*/ ScMultipleWriteHeader::ScMultipleWriteHeader(SvStream& rNewStream, ULONG nDefault) :
+/*N*/ ScMultipleWriteHeader::ScMultipleWriteHeader(SvStream& rNewStream, sal_uInt32 nDefault) :
 /*N*/ 	rStream( rNewStream ),
 /*N*/ 	aMemStream( 4096, 4096 )
 /*N*/ {
@@ -208,7 +208,7 @@
 /*N*/ 	ULONG nDataEnd = rStream.Tell();
 /*N*/ 
 /*N*/ 	rStream << (USHORT) SCID_SIZES;
-/*N*/ 	rStream << aMemStream.Tell();
+/*N*/ 	rStream << static_cast<sal_uInt32>(aMemStream.Tell());
 /*N*/ 	rStream.Write( aMemStream.GetData(), aMemStream.Tell() );
 /*N*/ 
 /*N*/ 	if ( nDataEnd - nDataPos != nDataSize )					// Default getroffen?
@@ -224,7 +224,7 @@
 /*N*/ void ScMultipleWriteHeader::EndEntry()
 /*N*/ {
 /*N*/ 	ULONG nPos = rStream.Tell();
-/*N*/ 	aMemStream << nPos - nEntryStart;
+/*N*/ 	aMemStream << static_cast<sal_uInt32>(nPos - nEntryStart);
 /*N*/ }
 
 /*N*/ void ScMultipleWriteHeader::StartEntry()
Index: bf_sc/source/ui/app/sc_inputhdl.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/ui/app/sc_inputhdl.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_sc/source/ui/app/sc_inputhdl.cxx	7 Sep 2005 18:46:14 -0000	1.5
+++ bf_sc/source/ui/app/sc_inputhdl.cxx	28 Apr 2006 08:58:34 -0000	1.5.70.1
@@ -2029,7 +2029,7 @@
 /*?*/ 			ScDocument* pDoc = pActiveViewSh->GetViewData()->GetDocument();
 /*?*/ 			SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
 /*?*/ 			// without conditional format, as in ScColumn::SetString
-/*?*/ 			ULONG nFormat = pLastPattern->GetNumberFormat( pFormatter );
+/*?*/ 			sal_uInt32 nFormat = pLastPattern->GetNumberFormat( pFormatter );
 /*?*/ 			double nVal;
 /*?*/ 			if ( pFormatter->IsNumberFormat( aString, nFormat, nVal ) )
 /*?*/ 			{
Index: bf_sc/source/ui/docshell/sc_docfunc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/ui/docshell/sc_docfunc.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sc/source/ui/docshell/sc_docfunc.cxx	7 Sep 2005 19:07:03 -0000	1.5
+++ bf_sc/source/ui/docshell/sc_docfunc.cxx	27 Apr 2006 11:38:29 -0000	1.5.72.1
@@ -986,7 +986,7 @@
 /*N*/ 	else		// (nur) auf englisches Zahlformat testen
 /*N*/ 	{
 /*?*/ 		SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
-/*?*/ 		ULONG nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
+/*?*/ 		sal_uInt32 nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
 /*?*/ 		double fVal;
 /*?*/ 		if ( pFormatter->IsNumberFormat( rText, nEnglish, fVal ) )
 /*?*/ 			pNewCell = new ScValueCell( fVal );
Index: bf_sc/source/ui/docshell/sc_impex.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/ui/docshell/sc_impex.cxx,v
retrieving revision 1.7
retrieving revision 1.7.10.1
diff -u -r1.7 -r1.7.10.1
--- bf_sc/source/ui/docshell/sc_impex.cxx	7 Apr 2006 13:21:16 -0000	1.7
+++ bf_sc/source/ui/docshell/sc_impex.cxx	27 Apr 2006 11:39:17 -0000	1.7.10.1
@@ -803,7 +803,7 @@
 /*M*/ 		//!	SetString mit Extra-Flag ???
 /*M*/ 
 /*M*/ 		SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
-/*M*/ 		ULONG nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
+/*M*/ 		sal_uInt32 nEnglish = pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US);
 /*M*/ 		double fVal;
 /*M*/ 		if ( pFormatter->IsNumberFormat( rStr, nEnglish, fVal ) )
 /*M*/ 		{
Index: bf_sc/source/ui/unoobj/sc_cellsuno.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/ui/unoobj/sc_cellsuno.cxx,v
retrieving revision 1.4
retrieving revision 1.4.72.1
diff -u -r1.4 -r1.4.72.1
--- bf_sc/source/ui/unoobj/sc_cellsuno.cxx	7 Sep 2005 21:10:02 -0000	1.4
+++ bf_sc/source/ui/unoobj/sc_cellsuno.cxx	27 Apr 2006 12:43:39 -0000	1.4.72.1
@@ -1319,7 +1319,7 @@
                 // Since the English formatter was constructed with
                 // LANGUAGE_ENGLISH_US the "General" format has index key 0,
                 // we don't have to query.
-				ULONG nNumFmt = bEnglish ?
+				sal_uInt32 nNumFmt = bEnglish ?
 //						pFormatter->GetStandardIndex(LANGUAGE_ENGLISH_US) :
                         0 :
 						pDoc->GetNumberFormat( rPosition );
Index: bf_sc/source/ui/view/sc_tabvwsha.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sc/source/ui/view/sc_tabvwsha.cxx,v
retrieving revision 1.5
retrieving revision 1.5.72.1
diff -u -r1.5 -r1.5.72.1
--- bf_sc/source/ui/view/sc_tabvwsha.cxx	7 Sep 2005 21:38:27 -0000	1.5
+++ bf_sc/source/ui/view/sc_tabvwsha.cxx	27 Apr 2006 13:34:03 -0000	1.5.72.1
@@ -110,7 +110,7 @@
 /*N*/ 		aStr += '=';
 /*N*/ 
 /*N*/ 		//	Anzahl im Standardformat, die anderen nach Cursorposition
-/*N*/ 		ULONG nNumFmt = 0;
+/*N*/ 		sal_uInt32 nNumFmt = 0;
 /*N*/ 		SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
 /*N*/ 		if ( eFunc != SUBTOTAL_FUNC_CNT && eFunc != SUBTOTAL_FUNC_CNT2 )
 /*N*/ 		{
@@ -525,7 +525,7 @@
 /*N*/ 					//!	Auch bei Zahlformat "Text"? -> dann beim Editieren wegnehmen
 /*N*/ 
 /*?*/ 					SvNumberFormatter* pFormatter = pDoc->GetFormatTable();
-/*?*/ 					ULONG nNumFmt;
+/*?*/ 					sal_uInt32 nNumFmt;
 /*?*/ 					pDoc->GetNumberFormat( nPosX, nPosY, nTab, nNumFmt );
 /*?*/ 					double fDummy;
 /*?*/ 					if ( pFormatter->IsNumberFormat(aString, nNumFmt, fDummy) )
Index: bf_sch/source/core/sch_chartdoc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chartdoc.cxx,v
retrieving revision 1.6
retrieving revision 1.6.52.1
diff -u -r1.6 -r1.6.52.1
--- bf_sch/source/core/sch_chartdoc.cxx	14 Dec 2005 14:33:48 -0000	1.6
+++ bf_sch/source/core/sch_chartdoc.cxx	27 Apr 2006 11:41:29 -0000	1.6.52.1
@@ -346,7 +346,7 @@
 /*N*/ 		SchIOCompat aIO(rOut, STREAM_WRITE, 1);
 /*N*/ 
 /*N*/ 		// AF: Don't write VCItemPool any longer (01/2001)
-/*N*/ 		rOut << (ULONG)0L;
+/*N*/ 		rOut << (sal_uInt32)0L;
 /*N*/ 
 		/**************************************************************************
 		* Frueher (StarChart Version 3.0, File-Format Version 1) wurde hier das
@@ -416,7 +416,7 @@
 /*N*/ 	{
 /*N*/ 		SchIOCompat aIO(rIn, STREAM_READ);
 /*N*/ 
-/*N*/ 		ULONG n;
+/*N*/ 		sal_uInt32 n;
 /*N*/ 		rIn >> n;
 /*N*/ 		// must be 0 or 1. Otherwise we have an error
 /*N*/ 		// most probably a wrong password
Index: bf_sch/source/core/sch_chtmode2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_chtmode2.cxx,v
retrieving revision 1.8
retrieving revision 1.8.28.1
diff -u -r1.8 -r1.8.28.1
--- bf_sch/source/core/sch_chtmode2.cxx	9 Feb 2006 15:09:05 -0000	1.8
+++ bf_sch/source/core/sch_chtmode2.cxx	27 Apr 2006 11:43:00 -0000	1.8.28.1
@@ -2169,7 +2169,7 @@
 /*N*/ 			{
 /*N*/ 				BOOL bNeedMerge=FALSE;
 /*N*/ 				String aFmtStr;
-/*N*/ 				ULONG nId;
+/*N*/ 				sal_uInt32 nId;
 /*N*/ 				if(nVersion <= 11)//ab V 12 X=Y=Z-Numberformatter!
 /*N*/ 				{
 /*?*/ 					SvNumberFormatter *pTmp = new SvNumberFormatter( ::legacy_binfilters::getLegacyProcessServiceFactory(),
Index: bf_sch/source/core/sch_memchrt.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/core/sch_memchrt.cxx,v
retrieving revision 1.9
retrieving revision 1.9.28.1
diff -u -r1.9 -r1.9.28.1
--- bf_sch/source/core/sch_memchrt.cxx	9 Feb 2006 15:09:23 -0000	1.9
+++ bf_sch/source/core/sch_memchrt.cxx	27 Apr 2006 11:44:43 -0000	1.9.28.1
@@ -201,12 +201,12 @@
 /*N*/ 	nColCnt = nCols;
 /*N*/ 	pData   = new double[nColCnt * nRowCnt];
 /*N*/ 
-/*N*/ 	pRowNumFmtId= new long [nRowCnt];
-/*N*/ 	pColNumFmtId= new long [nColCnt];
+/*N*/ 	pRowNumFmtId= new sal_Int32 [nRowCnt];
+/*N*/ 	pColNumFmtId= new sal_Int32 [nColCnt];
 /*N*/ 	InitNumFmt();
 /*N*/ 
-/*N*/ 	pRowTable	= new long [nRowCnt];
-/*N*/ 	pColTable	= new long [nColCnt];
+/*N*/ 	pRowTable	= new sal_Int32 [nRowCnt];
+/*N*/ 	pColTable	= new sal_Int32 [nColCnt];
 /*N*/ 	ResetTranslation(pRowTable,nRowCnt);
 /*N*/ 	ResetTranslation(pColTable,nColCnt);
 /*N*/ 
@@ -284,10 +284,10 @@
 /*N*/ 	aSomeData4  = ((SchMemChart&) rMemChart).SomeData4 ();
 /*N*/ 	pData       = new double[nColCnt * nRowCnt];
 /*N*/ 
-/*N*/ 	pRowNumFmtId= new long [nRowCnt];
-/*N*/ 	pColNumFmtId= new long [nColCnt];
-/*N*/ 	pRowTable	= new long [nRowCnt];
-/*N*/ 	pColTable	= new long [nColCnt];
+/*N*/ 	pRowNumFmtId= new sal_Int32 [nRowCnt];
+/*N*/ 	pColNumFmtId= new sal_Int32 [nColCnt];
+/*N*/ 	pRowTable	= new sal_Int32 [nRowCnt];
+/*N*/ 	pColTable	= new sal_Int32 [nColCnt];
 /*N*/ 
 /*N*/     aAppLink = rMemChart.aAppLink;
 /*N*/ 	nLastSelInfoReturn = rMemChart.nLastSelInfoReturn;
@@ -745,10 +745,10 @@
 /*N*/ 
 /*N*/ 	rIn >> nInt16; rMemChart.eDataType = (short)nInt16;
 /*N*/ 
-/*N*/ 	rMemChart.pRowNumFmtId	= new long [rMemChart.nRowCnt];
-/*N*/ 	rMemChart.pColNumFmtId	= new long [rMemChart.nColCnt];
-/*N*/ 	rMemChart.pRowTable		= new long [rMemChart.nRowCnt];
-/*N*/ 	rMemChart.pColTable		= new long [rMemChart.nColCnt];
+/*N*/ 	rMemChart.pRowNumFmtId	= new sal_Int32 [rMemChart.nRowCnt];
+/*N*/ 	rMemChart.pColNumFmtId	= new sal_Int32 [rMemChart.nColCnt];
+/*N*/ 	rMemChart.pRowTable		= new sal_Int32 [rMemChart.nRowCnt];
+/*N*/ 	rMemChart.pColTable		= new sal_Int32 [rMemChart.nColCnt];
 /*N*/ 
 /*N*/ 	if(aIO.GetVersion()>=1)
 /*N*/ 	{
Index: bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx,v
retrieving revision 1.5
retrieving revision 1.5.70.1
diff -u -r1.5 -r1.5.70.1
--- bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx	7 Sep 2005 23:10:16 -0000	1.5
+++ bf_sch/source/ui/unoidl/sch_ChXChartDocument.cxx	27 Apr 2006 11:04:43 -0000	1.5.70.1
@@ -1661,7 +1661,7 @@
             short nColCount = pData->GetColCount();
             aResult.realloc( nColCount );
             sal_Int32* pSeq = aResult.getArray();
-            const long* pTransArray = pData->GetColTranslation();
+            const sal_Int32* pTransArray = pData->GetColTranslation();
             sal_Int32 i;
 
             if( nTranslation == TRANS_COL &&
@@ -1682,7 +1682,7 @@
             short nRowCount = pData->GetRowCount();
             aResult.realloc( nRowCount );
             sal_Int32* pSeq = aResult.getArray();
-            const long* pTransArray = pData->GetRowTranslation();
+            const sal_Int32* pTransArray = pData->GetRowTranslation();
             sal_Int32 i;
 
             if( nTranslation == TRANS_ROW &&
Index: bf_sd/source/core/sd_drawdoc.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/core/sd_drawdoc.cxx,v
retrieving revision 1.7
retrieving revision 1.7.10.1
diff -u -r1.7 -r1.7.10.1
--- bf_sd/source/core/sd_drawdoc.cxx	7 Apr 2006 13:23:05 -0000	1.7
+++ bf_sd/source/core/sd_drawdoc.cxx	27 Apr 2006 12:05:38 -0000	1.7.10.1
@@ -675,12 +675,12 @@
 /*N*/ 		rOut << aJobSetup;
 /*N*/ 	}
 /*N*/ 
-/*N*/ 	rOut << (ULONG) rDoc.eLanguage;
+/*N*/ 	rOut << (sal_uInt32) rDoc.eLanguage;
 /*N*/ 
 	/**************************************************************************
 	* FrameViews schreiben
 	**************************************************************************/
-/*N*/ 	ULONG nFrameViewCount = 0;
+/*N*/ 	sal_uInt32 nFrameViewCount = 0;
 /*N*/ 	SdViewShell* pViewSh = NULL;
 /*N*/ 	SfxViewShell* pSfxViewSh = NULL;
 /*N*/ 	SfxViewFrame* pSfxViewFrame = SfxViewFrame::GetFirst(rDoc.pDocSh,
@@ -741,7 +741,7 @@
 /*N*/ 	rOut << rDoc.bCustomShow;
 /*N*/ 
 /*N*/ 	// Anzahl CustomShows schreiben
-/*N*/ 	ULONG nCustomShowCount = 0;
+/*N*/ 	sal_uInt32 nCustomShowCount = 0;
 /*N*/ 
 /*N*/ 	if (rDoc.pCustomShowList)
 /*N*/ 	{
@@ -760,12 +760,12 @@
 		}
 
 		// Position der aktuellen CustomShow
-		ULONG nCurPos = rDoc.pCustomShowList->GetCurPos();
+		sal_uInt32 nCurPos = rDoc.pCustomShowList->GetCurPos();
 		rOut << nCurPos;
 	}
 
 /*N*/ 	// ab Version 15
-/*N*/ 	rOut << (ULONG) rDoc.GetPageNumType();
+/*N*/ 	rOut << (sal_uInt32) rDoc.GetPageNumType();
 /*N*/ 
 /*N*/ 	// ab Version 17
 /*N*/ 	rOut << rDoc.GetPresPause() << rDoc.IsPresShowLogo();
@@ -882,7 +882,7 @@
 /*N*/ 
 /*N*/ 	if (rDoc.nFileFormatVersion >= 3)
 /*N*/ 	{
-/*N*/ 		ULONG nTmp;
+/*N*/ 		sal_uInt32 nTmp;
 /*N*/ 		rIn >> nTmp;
 /*N*/ 		rDoc.SetLanguage( (LanguageType) nTmp, EE_CHAR_LANGUAGE );
 /*N*/ 	}
@@ -910,7 +910,7 @@
 /*N*/ 		const SvtSaveOptions aOptions;
 /*N*/ 		BOOL bIsSaveDocView = aOptions.IsSaveDocView();
 /*N*/ 
-/*N*/ 		ULONG nFrameViewCount = 0;
+/*N*/ 		sal_uInt32 nFrameViewCount = 0;
 /*N*/ 		rIn >> nFrameViewCount;
 /*N*/ 
 /*N*/ 		for (nCount=0; nCount<nFrameViewCount; nCount++)
@@ -998,7 +998,7 @@
 /*N*/ 		// CustomShow aktiv
 /*N*/ 		rIn >> rDoc.bCustomShow;
 /*N*/ 
-/*N*/ 		ULONG nCustomShowCount = 0;
+/*N*/ 		sal_uInt32 nCustomShowCount = 0;
 /*N*/ 		rIn >> nCustomShowCount;
 /*N*/ 
 /*N*/ 		if (nCustomShowCount > 0)
@@ -1022,7 +1022,7 @@
 			}
 
 			// Aktuelle CustomShow selektieren
-			ULONG nCurPos;
+			sal_uInt32 nCurPos;
 			rIn >> nCurPos;
 			rDoc.pCustomShowList->Seek(nCurPos);
 		}
@@ -1030,14 +1030,14 @@
 /*N*/ 
 /*N*/ 	if (rDoc.nFileFormatVersion >= 15)
 /*N*/ 	{
-/*N*/ 		ULONG nTmp;
+/*N*/ 		sal_uInt32 nTmp;
 /*N*/ 		rIn >> nTmp;
 /*N*/ 		rDoc.SetPageNumType( (SvxNumType) nTmp );
 /*N*/ 	}
 /*N*/ 
 /*N*/ 	if (rDoc.nFileFormatVersion >= 17)
 /*N*/ 	{
-/*N*/ 		ULONG	nPauseSec;
+/*N*/ 		sal_uInt32 nPauseSec;
 /*N*/ 		BOOL	bShowLogo;
 /*N*/ 
 /*N*/ 		rIn >> nPauseSec >> bShowLogo;
Index: bf_sd/source/core/sd_sdpage2.cxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/core/sd_sdpage2.cxx,v
retrieving revision 1.8
retrieving revision 1.8.72.1
diff -u -r1.8 -r1.8.72.1
--- bf_sd/source/core/sd_sdpage2.cxx	7 Sep 2005 23:24:33 -0000	1.8
+++ bf_sd/source/core/sd_sdpage2.cxx	27 Apr 2006 12:08:04 -0000	1.8.72.1
@@ -364,10 +364,10 @@
 /*N*/ 
 /*N*/ 	// Selektionskennung ist nicht persistent, wird nicht geschrieben
 /*N*/ 
-/*N*/ 	ULONG nULTemp;
-/*N*/ 	nULTemp = (ULONG)eFadeSpeed;
+/*N*/ 	sal_uInt32 nULTemp;
+/*N*/ 	nULTemp = (sal_uInt32)eFadeSpeed;
 /*N*/ 	rOut << nULTemp;
-/*N*/ 	nULTemp = (ULONG)eFadeEffect;
+/*N*/ 	nULTemp = (sal_uInt32)eFadeEffect;
 /*N*/ 	rOut << nULTemp;
 /*N*/ 	rOut << bManual;
 /*N*/ 	rOut << nTime;
@@ -478,7 +478,7 @@
 /*N*/ 
 /*N*/ 	// Selektionskennung ist nicht persistent, wird nicht gelesen
 /*N*/ 
-/*N*/ 	ULONG nULTemp;
+/*N*/ 	sal_uInt32 nULTemp;
 /*N*/ 	rIn >> nULTemp; eFadeSpeed	= (FadeSpeed)nULTemp;
 /*N*/ 	rIn >> nULTemp; eFadeEffect = (presentation::FadeEffect)nULTemp;
 /*N*/ 	rIn >> bManual;
Index: bf_sd/source/ui/inc/AccessiblePageShape.hxx
===================================================================
RCS file: /cvs/framework/binfilter/bf_sd/source/ui/inc/AccessiblePageShape.hxx,v
retrieving revision 1.3
retrieving revision 1.3.72.1
diff -u -r1.3 -r1.3.72.1
--- bf_sd/source/ui/inc/AccessiblePageShape.hxx	8 Sep 2005 00:27:42 -0000	1.3
+++ bf_sd/source/ui/inc/AccessiblePageShape.hxx	28 Apr 2006 08:58:34 -0000	1.3.72.1
@@ -114,7 +114,7 @@
 	//=====  XAccessibleContext  ==============================================
 
     ///	Returns always 0 because there can be no children.
-    virtual long SAL_CALL
+    virtual sal_Int32 SAL_CALL
     	getAccessibleChildCount (void)
         throw ();
         
